Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf.extensions
Class PDFEmbeddedFileAttachment

    java.lang.Object
      org.apache.fop.render.pdf.extensions.PDFExtensionAttachment
          org.apache.fop.render.pdf.extensions.PDFEmbeddedFileAttachment

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class PDFEmbeddedFileAttachment

extends PDFExtensionAttachment

This is the pass-through value object for the PDF extension.

Field Summary
`protected static java.lang.String` | `ELEMENT` element name

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFExtensionAttachment
`CATEGORY, PREFIX`

Constructor Summary
`PDFEmbeddedFileAttachment()` No-argument contructor.
`PDFEmbeddedFileAttachment(java.lang.String filename, java.lang.String src, java.lang.String desc)` Default constructor.

Method Summary
`java.lang.String` | `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
`java.lang.String` | `getDesc()` Returns the file description.
`protected java.lang.String` | `getElement()`
`java.lang.String` | `getFilename()` Returns the file name.
`java.lang.String` | `getSrc()` Returns the source URI of the file.
`void` | `setDesc(java.lang.String desc)` Sets the description of the file.
`void` | `setFilename(java.lang.String name)` Sets the file name.
`void` | `setSrc(java.lang.String src)` Sets the source URI of the file.
`void` | `toSAX(org.xml.sax.ContentHandler handler)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFExtensionAttachment
`getPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT

    protected static final java.lang.String ELEMENT

  element name

  See Also:
    Constant Field Values

Constructor Detail

### PDFEmbeddedFileAttachment

    public PDFEmbeddedFileAttachment()

  No-argument contructor.

### PDFEmbeddedFileAttachment

    public PDFEmbeddedFileAttachment(java.lang.String filename,
                                     java.lang.String src,
                                     java.lang.String desc)

  Default constructor.

  Parameters:
    `filename` - the name of the file
    `src` - the location of the file
    `desc` - the description of the file

Method Detail

### getFilename

    public java.lang.String getFilename()

  Returns the file name.

  Returns:
    the file name

### setFilename

    public void setFilename(java.lang.String name)

  Sets the file name.

  Parameters:
    `name` - The file name to set.

### getDesc

    public java.lang.String getDesc()

  Returns the file description.

  Returns:
    the description

### setDesc

    public void setDesc(java.lang.String desc)

  Sets the description of the file.

  Parameters:
    `desc` - the description to set

### getSrc

    public java.lang.String getSrc()

  Returns the source URI of the file.

  Returns:
    the source URI

### setSrc

    public void setSrc(java.lang.String src)

  Sets the source URI of the file.

  Parameters:
    `src` - the source URI

### getCategory

    public java.lang.String getCategory()

  This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

  Specified by:
    `getCategory` in interface `ExtensionAttachment`
  Overrides:
    `getCategory` in class `PDFExtensionAttachment`
  Returns:
    the category URI

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getElement

    protected java.lang.String getElement()

  Returns:
    the element name

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.